@CHARSET "ISO-8859-1";

@import "../static/global/css/openhierarchy.css";
@import "raleway.css";
@import "icons.css?v=2";

body {
	background: #f9f9f9;
	display: flex;
	height: 100vh;
	min-height: 100vh;
	flex-direction: column;
}

/* Helpers */
.hidden {
	display: none;
}

/* Default styling for icons */
i.icons + span, span + i.icons {
	margin-left: 5px;
}
	i.icons.big {
		font-size: 1.3em;
	}

/* Navigation */
.nav-container {
	background: #58207A;
}
	.nav-container a {
		color: #fff;
	}
	.nav-container a.nav-link:hover {
		background: #9260A9;
	}
	.nav-container img {
		height: 36px;
	}
	.nav-container .navbar-toggler {
		color: #fff;
	}

/* Login form */
#loginWrapper {
	max-width: 500px;
	margin: 40px auto;
}
#loginForm {
	border: 1px solid #ccc;
	padding: 25px 15px;
	margin-top: 20px;
	margin-bottom: 15px;
	border-radius: 5px;
	background: #fff;
}

/* Contentitem */
@media (min-width: 1200px) {	
	.contentitem {
		width: 1170px;
	}
}
@media (min-width: 992px) {	
	.contentitem {
		width: 970px;
	}
}
@media (min-width: 768px) {
	.contentitem {
		width: 750px;
	}
}

/* Content */
.fluid-container.content {
	flex: 1;
}

.container.default-wrapper {
	margin-top: 40px;
}

section {
	margin-top: 40px;	
}

section > header {
	margin-bottom: 10px;
}

section > article, section > form > article,
.container.default-wrapper .contentitem {
	border: 1px solid #ccc;
	padding: 10px 15px;
	margin-bottom: 15px;
	border-radius: 5px;
	background: #fff;
}
	.container.default-wrapper .contentitem {
		width: 100%;
	}
	.container.default-wrapper .contentitem:after {
		display: block;
		content: "";
		clear: both;
	}

/* General */
.xl-margin-right {
	margin-right: 20px;
}


/* Footer */
body > footer {
	background: #77BEE5;
	padding: 30px 0;
	margin-top: 50px;
}
	body > footer img {
		height: 80px;
	}
	
/* General fixes */
select.form-control:not([size]):not([multiple]) {
	height: auto;
}

.table th {
	border-top: 0;
}

.fileupload-area {
	background: #FAFAFA;
	text-align: center;
	border: 1px solid #D9D9D9;
	border-radius: 4px;
	padding: 30px;
}

/* Fix for bootstrap toogle in bootstrap 4 */
.toggle-group .btn-default {
	color: #373a3c;
	background: #fff;
	border-color: #ccc;
}
	.toggle-group .btn-default:hover {
	    color: #373a3c;
	    background: #e6e6e6;
	    border-color: #adadad;
	}
	.toggle-group .btn-default.active, .toggle-group .btn-default:active {
	    color: #373a3c;
	    background: #e6e6e6;
	    border-color: #adadad;
	    background-image: none;
	}
	.toggle-group .btn-default.active.focus, .toggle-group .btn-default.active:focus, .toggle-group .btn-default.active:hover, .toggle-group .btn-default:active.focus, .toggle-group 
	.btn-default:active:focus, .toggle-group .btn-default:active:hover {
	    color: #373a3c;
	    background: #d4d4d4;
	    border-color: #8c8c8c;
	}
.checkbox label .toggle, .checkbox-inline .toggle {
	margin-left: 0px;
}